Package org.apache.storm.security.auth.tls

# Class TlsTransportPlugin

java.lang.Object
org.apache.storm.security.auth.tls.TlsTransportPlugin

All Implemented Interfaces:
  `ITransportPlugin`

public class TlsTransportPlugin extends Object implements ITransportPlugin

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,Object>`
  `conf`
  `protected ThriftConnectionType`
  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TlsTransportPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `areWorkerTokensSupported()`
  Check if worker tokens are supported by this transport.
  `org.apache.storm.thrift.transport.TTransport`
  `connect(org.apache.storm.thrift.transport.TTransport transport, String serverHost, String asUser)`
  Connect to the specified server via framed transport.
  `int`
  `getPort()`
  Get port.
  `org.apache.storm.thrift.server.TServer`
  `getServer(org.apache.storm.thrift.TProcessor processor)`
  Create a server associated with a given port, service handler, and purpose.
  `void`
  `prepare(ThriftConnectionType type, Map<String,Object> conf)`
  Invoked once immediately after construction.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### type

    protected ThriftConnectionType type

  - ### conf

    protected Map<String,Object> conf

- ## Constructor Details

  - ### TlsTransportPlugin

    public TlsTransportPlugin()

- ## Method Details

  - ### prepare

    public void prepare(ThriftConnectionType type, Map<String,Object> conf)
    Description copied from interface: `ITransportPlugin`
    Invoked once immediately after construction.
    Specified by:
      `prepare` in interface `ITransportPlugin`
    Parameters:
      `type` - the type of connection this will process.
      `conf` - Storm configuration

  - ### getServer

    public org.apache.storm.thrift.server.TServer getServer(org.apache.storm.thrift.TProcessor processor) throws IOException, org.apache.storm.thrift.transport.TTransportException
    Description copied from interface: `ITransportPlugin`
    Create a server associated with a given port, service handler, and purpose.
    Specified by:
      `getServer` in interface `ITransportPlugin`
    Parameters:
      `processor` - service handler
    Returns:
      server
    Throws:
      `IOException`
      `org.apache.storm.thrift.transport.TTransportException`

  - ### connect

    public org.apache.storm.thrift.transport.TTransport connect(org.apache.storm.thrift.transport.TTransport transport, String serverHost, String asUser) throws IOException, org.apache.storm.thrift.transport.TTransportException
    Description copied from interface: `ITransportPlugin`
    Connect to the specified server via framed transport.
    Specified by:
      `connect` in interface `ITransportPlugin`
    Parameters:
      `transport` - The underlying Thrift transport.
      `serverHost` - server host
      `asUser` - the user as which the connection should be established, and all the subsequent actions should be executed. Only applicable when using secure storm cluster. A null/blank value here will just indicate to use the logged in user.
    Throws:
      `IOException`
      `org.apache.storm.thrift.transport.TTransportException`

  - ### getPort

    public int getPort()
    Description copied from interface: `ITransportPlugin`
    Get port.
    Specified by:
      `getPort` in interface `ITransportPlugin`
    Returns:
      The port this transport is using. This is not known until `ITransportPlugin.getServer(org.apache.storm.thrift.TProcessor)` has been called

  - ### areWorkerTokensSupported

    public boolean areWorkerTokensSupported()
    Description copied from interface: `ITransportPlugin`
    Check if worker tokens are supported by this transport.
    Specified by:
      `areWorkerTokensSupported` in interface `ITransportPlugin`
    Returns:
      true if they are else false.